Subject: Re: [bug#60075] [PATCH 47/58] gnu: julia-scanbyte: Limit to x86_64-linux.

From: Efraim Flashner <[email-masked]>
Date: Wed, 21 Dec 2022 19:10:18 +0200

On Mon, Dec 19, 2022 at 07:47:23PM +0100, zimoun wrote:
> Hi,
> 
> On Wed, 14 Dec 2022 at 22:35, Efraim Flashner <[email-masked]> wrote:
> > * gnu/packages/julia-xyz.scm (julia-scanbyte)[supported-systems]: New
> > field.
> 
> > +    ;; https://github.com/jakobnissen/ScanByte.jl/issues/2
> > +    (supported-systems '("x86_64-linux"))
> 
> In patch [1]:
> 
>     [PATCH 44/58] gnu: julia-indexablebitvectors: Limit to 64-bit systems.
> 
> is introduced, instead, the change:
> 
> --8<---------------cut here---------------start------------->8---
> +    (supported-systems %64bit-supported-systems)
> --8<---------------cut here---------------end--------------->8---
> 
> Well, I think it would better to keep consistency.
> 
> 1: https://issues.guix.gnu.org/msgid/[email-masked]

scanbyte relies on architecture specific implementations of functions
and hasn't been ported to other architectures yet. I actually started
looking into it before I realized it was something I could save for
later.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted